pydo.vpc_subnets.create()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.vpc_subnets.create(
    vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d",
    body={
        "name": "new-subnet",
        "ip_range": "10.20.0.0/16",
    },
)
Returns JSONRaises HttpResponseError

Description

To create a subnet within a VPC, send a POST request to /v2/vpcs/{vpc_uuid}/subnets with a name and, optionally, an IP range.

Parameters

vpc_uuid string required

The unique identifier of the VPC to which the subnet belongs.

name string required

Example: new-subnet

The human-readable name of the VPC subnet.

Max length: 255

ip_range string optional

Example: 10.20.0.0/16

An RFC1918 CIDR range between /16 and /24 that does not overlap another team or VPC network.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "new-subnet",
  "ip_range": "10.20.0.0/16"
}

resp = client.vpc_subnets.create(vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d", body=req)

Response Example

Show Response Example
{
  "vpc_subnet": {
    "id": "4de7ac8b-495b-4884-9a69-1050c6793cd6",
    "urn": "do:vpc_subnet:4de7ac8b-495b-4884-9a69-1050c6793cd6",
    "name": "new-subnet",
    "ip_range": "10.20.0.0/16",
    "type": "REGULAR",
    "region": "nyc3",
    "created_at": "2024-01-01T12:00:00Z",
    "meta": {
      "stats": {
        "members": 3,
        "resources": {
          "droplet": 2,
          "loadbalancer": 1
        }
      }
    }
  }
}

More Information

See /v2/vpcs/{vpc_uuid}/subnets in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.